Subject: Re: Gittorent .. avahi ?

From: Srijak Rijal <[email-masked]>
Date: Tue, 03 Apr 2007 15:44:38 -0400

Hi Jonas,
>
> While the tracker is a very interesting part of GitTorrent, because it
> has a lot of responsibility for 'advertising' new changes, I think the
> client, in itself, would be a hard and big enough project. And as Sam
> said the tracker can be reduced to a simple static file that is
> regularly updated by a cron job or something like that.

Yup. For now,  I plan to adhere closely to the spec and get the initial 
version out :).
I agree with Shawn in that letting the tool organically evolve to
include new features and bug fixes as required is the best way to go.
The avahi idea is a product of me having time to think about the
project, but not being able to code :).

> I made a report about GitTorrent from which you might be able to
> get some info from or at least some overall motivations and
> considerations. However, it is for the much simpler and stupid
> 'initial' proposal, before Sam stepped in and made especially the
> core of the peer wire protocol more scalable. So 'caveat emptor'
> (this especially goes for the more Git related parts).
>
> You can find it at:
>
>  http://jonas.nitro.dk/tmp/foo/gittorrent.html/node38.html
>
> and the whole report at
>
>  http://jonas.nitro.dk/tmp/foo/gittorrent.pdf
>
Great :). Thanks for the link. I think the report will be helpful.  I
intend to look it over as soon as I get time. School in kinda hectic ATM.

> I really hope your project gets approved.
Thanks, me too :),

Srijak.